﻿using Android.App;
using Android.Content.PM;
using Android.OS;
using Pim.Mobile;

namespace SyncFusionPdf.Droid
{
    [Activity(Label = "SyncFusionPdf", Icon = "@mipmap/icon", Theme = "@style/MainTheme", MainLauncher = true, ConfigurationChanges = ConfigChanges.ScreenSize | ConfigChanges.Orientation)]
    public class MainActivity : global::Xamarin.Forms.Platform.Android.FormsAppCompatActivity
    {
        protected override void OnCreate(Bundle savedInstanceState)
        {
            TabLayoutResource = Resource.Layout.Tabbar;
            ToolbarResource = Resource.Layout.Toolbar;

            base.OnCreate(savedInstanceState);

            SyncFusionLicense.Version173.Register();
            
            global::Xamarin.Forms.Forms.Init(this, savedInstanceState);

            App.Folder = Environment.ExternalStorageDirectory.AbsolutePath;

            LoadApplication(new App());
        }
    }
}